Draft Shape2DView/tr: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/tr|Name=Draft Shape2DView|Name/tr=Draft Shape2DView|Workbenches=Draft, Arch|MenuLocation=Draft -> Shape 2D View}}")
(Updating to match new version of source page)
Line 27: Line 27:
The Draft Shape2DView tool can by used in [[macros]] and from the python console by using the following function:
The Draft Shape2DView tool can by used in [[macros]] and from the python console by using the following function:


{{Code|code=
<syntaxhighlight>
makeShape2DView (object,[projection],[facenumbers])
makeShape2DView (object,[projection],[facenumbers])
}}
</syntaxhighlight>
* Adds a 2D shape to the document, which is a 2D projection of the given object.
* Adds a 2D shape to the document, which is a 2D projection of the given object.
* A specific projection vector can also be given.
* A specific projection vector can also be given.
Line 37: Line 37:
Example:
Example:


{{Code|code=
<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)
}}
</syntaxhighlight>


<languages/>
<languages/>

Revision as of 21:47, 1 January 2015

Draft Shape2DView

Menü konumu
Draft -> Shape 2D View
Tezgahlar
Draft, Arch
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Hiçbiri

Description

This tool places in the document a 2D object which is a flattened view of a selected Shape-based object.

How to use

  1. Select the object you want to extract a 2D view from
  2. Press the Draft Shape2DView button

Options

  • If the selected object is an Arch SectionPlane, the 2D projection will be of the contents of the Section plane, and the projection vector will be taken from the section plane instead of the Projection property below.
  • The normal operating mode is Solid, which projects the whole shape, but, if you selected some faces of the base object when creating the 2D view, you can also set the Individual Faces mode, which will project only the faces that were selected.
  • If the selected object is an Arch SectionPlane, a cutlines projection mode is also available, which projects only the edges being cut by the section plane.

Properties

  • VeriProjection: The direction of the projection.
  • VeriProjection Mode: The mode of the projection: solid, individual faces, or cutlines.

Scripting

The Draft Shape2DView tool can by used in macros and from the python console by using the following function:

makeShape2DView (object,[projection],[facenumbers])
  • Adds a 2D shape to the document, which is a 2D projection of the given object.
  • A specific projection vector can also be given.
  • Returns the generated object.
  • You can also provide a list of face numbers to be considered.

Example:

import FreeCAD,Draft
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)